"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jest_fetch_mock_1 = __importDefault(require("jest-fetch-mock"));
// Docs: https://github.com/jefflau/jest-fetch-mock#default-not-mocked
//If you would like to have the 'fetchMock' available in all tests but not enabled then add fetchMock.dontMock()
//after the ...enableMocks() line in setupJest.js:
// adds the 'fetchMock' global variable and rewires 'fetch' global to call 'fetchMock' instead of the real implementation
jest_fetch_mock_1.default.enableMocks();
// changes default behavior of fetchMock to use the real 'fetch' implementation and not mock responses
jest_fetch_mock_1.default.dontMock();
//# sourceMappingURL=setupFetch.js.map