import { SessionIdentity, StepEvent } from '@samelogic/steps';
import { WorkflowConfig } from '../..';
import { StepContainer } from '../../workflows/Steps';
interface ProjectProperties {
    envId?: string;
    projectId?: string;
    orgId?: string;
}
export declare class EventLogger {
    private _endpoint?;
    private _identity?;
    private _project?;
    private _workflow?;
    private identitySourceMan?;
    constructor(_endpoint?: string | undefined);
    setWorkflowConfig(config: WorkflowConfig): void;
    setSessionIdentity(identity: SessionIdentity): void;
    setProject(project: ProjectProperties): void;
    logStepEvent(evt: StepEvent, container: StepContainer): Promise<void>;
}
export {};
//# sourceMappingURL=EventLogger.d.ts.map