import { StepPackage } from '@samelogic/steps';
/**
 * PackageRepository is used to retreive the step package and verify it is
 * a valid package.
 */
export declare class RemotePackageRepository {
    /**
     *
     * @param url - Retreives the package by URL and verify it is a valid StepPackage
     */
    getPackageByUrl(url: string): Promise<StepPackage>;
    /**
     * Verifies that an imported step is valid.
     * @param stepImport - The step package to validate
     */
    private validate;
}
//# sourceMappingURL=RemotePackageRepository.d.ts.map