import { Logger } from '@samelogic/steps';
import { WorkflowConfig } from '../../models';
import { PackageMemoryCache } from '../Steps/Repository/PackageMemoryCache';
import { Context } from '../Context/Context';
import { EventLogger } from '../../tracking/EventLogger';
export declare class WorkflowManager {
    private readonly context;
    private readonly workflow;
    private readonly packageMemoryCache;
    private readonly logger;
    readonly eventLogger: EventLogger;
    private triggerManager;
    private containerManager;
    constructor(context: Context, workflow: WorkflowConfig, packageMemoryCache: PackageMemoryCache, logger: Logger, eventLogger: EventLogger);
    start(): void;
    private onTriggerExecuted;
}
//# sourceMappingURL=WorkflowManager.d.ts.map