import { Logger } from '@samelogic/steps';
import { StepConfig } from '../../../models';
import { PackageMemoryCache } from '../Repository/PackageMemoryCache';
import { Context } from '../../Context/Context';
import { EventLogger } from '../../../tracking/EventLogger';
export declare class StepContainerManager {
    private readonly packageCache;
    private readonly logger;
    private readonly eventLogger;
    private readonly stepTree;
    constructor(stepConfigs: StepConfig[], packageCache: PackageMemoryCache, logger: Logger, eventLogger: EventLogger);
    start(context: Context): Promise<void>;
    private handleEvent;
    private createAndRunStepInstance;
}
//# sourceMappingURL=StepContainerManager.d.ts.map