import { WorkflowContext } from '@samelogic/steps';
import { TriggerEventProps } from '../../../models';
import { OnEventTriggered } from './EventStrategies';
/**
 * TriggerEvent acts as a wrapper context for the event strategies
 */
export declare class TriggerEvent {
    private readonly context;
    private readonly props;
    private readonly strategy;
    /**
     * This trigger is fired
     */
    onChanged?: OnEventTriggered<TriggerEventProps, unknown>;
    constructor(context: WorkflowContext, props: TriggerEventProps);
    start(): void;
    private handleTriggerEvent;
    private resolveStrategy;
}
//# sourceMappingURL=TriggerEvent.d.ts.map