import { Logger, WorkflowContext } from '@samelogic/steps';
export declare type OnTriggered = () => void;
/**
 * Trigger Container is used to manage all the conditional logic
 * of the trigger events and fire off the event conditions are met.
 */
export declare class TriggerManager {
    private readonly context;
    private readonly logger;
    readonly configs?: import("../../../models").TriggerEvents[] | undefined;
    private readonly triggerEvents;
    /**
     * This trigger is fired
     */
    onTriggered?: OnTriggered;
    constructor(context: WorkflowContext, logger: Logger, configs?: import("../../../models").TriggerEvents[] | undefined);
    start(): void;
    private handleTriggerEvent;
}
//# sourceMappingURL=TriggerManager.d.ts.map