import { EventsRecords, SessionIdentity, Metadata } from '@samelogic/steps';
import * as Factory from 'factory.ts';
import { IdentitySourceConfig, StepConfig, WorkflowConfig } from '../../models';
import { Context } from '../Context';
export declare const triggerFactory: Factory.Sync.Factory<import("../../models").TriggerEvents, "id" | "event">;
export declare const stepFactory: Factory.Sync.Factory<StepConfig, keyof StepConfig>;
export declare const identityFactory: Factory.Sync.Factory<IdentitySourceConfig, keyof IdentitySourceConfig>;
export declare const workflowFactory: Factory.Sync.Factory<WorkflowConfig, keyof WorkflowConfig>;
export declare const contextMetadataFactory: Factory.Sync.Factory<Metadata, "name">;
export declare const sessionIdentityFactory: Factory.Sync.Factory<SessionIdentity, keyof SessionIdentity>;
export declare const workflowContextEventsFactory: Factory.Sync.Factory<EventsRecords, string | number>;
export declare const contextFactory: Factory.Sync.Factory<Context, keyof Context>;
//# sourceMappingURL=factories.d.ts.map